=== debian/changelog ===
wxwidgets2.6 (2.6.1.1.1ubuntu2) breezy; urgency=low

  * Added a patch from wxwidgets cvs to allow compilation against gtk 2.8

 -- Sebastian Dröge <mail@slomosnail.de>  Tue, 23 Aug 2005 18:18:01 +0200

wxwidgets2.6 (2.6.1.1.1ubuntu1) breezy; urgency=low

  * Synchronize with Debian, Ubuntu patches are integrated.
  * python-wxgtk2.6: Add Provides: python-wx, python-wxgtk.
  * Note: python packages should depend on: python-wxgtk | python-wxgtk2.6.
  * Update {build-,}depends for xorg -> mesa transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Aug 2005 11:08:22 +0000

wxwidgets2.6 (2.6.1.1.1) unstable; urgency=low

  * Reshuffle the wxPython packages again, to comply better with
    the python naming policy and improve support for concurrent
    installations.  The runtime files are now in python-wxgtk2.6-0,
    the version selector in python-wxversion and the ancillary
    tools in the python-wxtools package.

    Many thanks to Matthias Klose <doko@ubuntu.com> for patches
    and patient prodding to get wxpython into better shape for
    version transitions.

  * Collapse the wx-common package into an 'unversioned' one also.

  * On its way back into unstable by popular demand.

 -- Ron Lee <ron@debian.org>  Sun, 14 Aug 2005 21:25:34 +0930

wxwidgets2.6 (2.6.1.1ubuntu3) breezy; urgency=low

  * libwxgtk2.6-0-python provides python-wx and python-wx2.6.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  3 Aug 2005 10:28:39 +0000

wxwidgets2.6 (2.6.1.1ubuntu2) breezy; urgency=low

  * New package wxversion.
  * The libwxgtk2.6-0-python package handles wx.pth as an alternative now.
    Packages, which need a specific wxpython version, should:

      import wxversion
      wxversion.select('2.6')
      import wx

    See /usr/lib/python2.4/site-packages/wxversion.py for the details.

  * Handle the binaries in wxpython2.6 as alternatives.
  * The 2.4 and 2.6 packages do not conflict anymore.
  * wxPython/scripts/*: Explicitely use wxPython 2.6.

  * Fix libglu1-xorg-dev (build) dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jul 2005 12:43:00 +0000

wxwidgets2.6 (2.6.1.1ubuntu1) breezy; urgency=low

  * Rebuild control file for python2.4.
  * Update xorg build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jul 2005 18:58:05 +0200

wxwidgets2.6 (2.6.1.1) experimental; urgency=low

  * 2.6.2 prerelease test -- Pain for the Impatient.

    Be warned, wx2.6 has still not branched off the main
    development tree, and the API is still in flux.

    This one is to see what else is wrong.

  * Upload to experimental now the -c2 transition is real.

 -- Ron Lee <ron@debian.org>  Thu, 23 Jun 2005 14:08:33 +0930

wxwidgets2.6 (2.6.0) unstable; urgency=low

  * 8 ... 9 ... 10.  Here it comes, ready or not...
  * make install includes archive.h now.  Closes: #294998

 -- Ron Lee <ron@debian.org>  Wed, 13 Apr 2005 01:15:05 +0930

wxwidgets2.5 (2.5.5.1) unstable; urgency=low

  * Last chance.
  * Conflict with wxwin2.4-i18n.  Due to inertia, it really
    does.  Sorry if you are not a gringo and want both 2.4 and
    2.5 apps localised on the same machine.  Maybe for 2.6.1.
    Bitch upstream if you want it fixed.
  * Don't package the static libs anymore for wxGTK.
    Blame drepper for encouraging their obsolescence  If you dare.
  * Trim the configure options to reflect the new defaults.

 -- Ron Lee <ron@debian.org>  Mon, 11 Apr 2005 22:43:58 +0930

wxwidgets2.5 (2.5.4.0) unstable; urgency=low

  * Experimental snapshot.
  * More bakefile bogosity manually patched.  Closes: #294998
  * Fix stray conflicts with 2.4.  Closes: #287623
  * Fixes lack of version checking in wxPython examples.
    Closes: #287772
  * Fixes FTBFS on ppc.  Closes: #285186
  * Enable gnomeprint, Closes: #284943 satisfactorily I hope.

 -- Ron Lee <ron@debian.org>  Sun, 13 Feb 2005 16:52:38 +1030

wxwidgets2.5 (2.5.3.3) unstable; urgency=low

  * Experimental snapshot.

 -- Ron Lee <ron@debian.org>  Tue,  8 Feb 2005 12:30:45 +1030

wxwidgets2.5 (2.5.3.2) unstable; urgency=low

  * This time, really now.
    A snapshot that is actually ready for wider release.
    Thanks to all who've been patient.  We know who you are.
  * Update path to wxPython site-packages, build them with
    --no_rpath since we will install the in tree build.

 -- Ron Lee <ron@debian.org>  Thu, 11 Nov 2004 11:01:00 +1030

wxwidgets2.5 (2.5.3.1) unstable; urgency=low

  * Functioning concurrent installs for both the C++ libs
    and wxPython along with legacy support for existing 2.4
    users mean we can now safely introduce this release to
    unstable without an adverse effect on existing users.

 -- Ron Lee <ron@debian.org>  Sun, 31 Oct 2004 15:54:46 +1030

wxwidgets2.5 (2.5.3.0) experimental; urgency=low

  * Experimental prerelease.

 -- Ron Lee <ron@debian.org>  Wed, 22 Sep 2004 03:29:56 +0930

wxwidgets2.5 (2.5.2.3) experimental; urgency=low

  * Greatly improved concurrent installs.  We can now install
    a much wider range of builds without conflicting and select
    between them without the need to go changing symlinks or
    the suite of applications you have installed.
  * Contrib is dead.  Long live contrib.
    Better multi-library builds have made contrib more or less
    obsolete.  This is the big crunch before the boom.  Everything
    useful out of contrib has been moved back into the main package.
    Later we will split many out again along the lines of shared
    dependencies, so a minimal wx install really can remain minimal
    without losing any future potential.

 -- Ron Lee <ron@debian.org>  Sat, 18 Sep 2004 00:59:01 +0930

wxwidgets2.5 (2.5.1.1) experimental; urgency=low

  * The s/ndow/dget/g release.
  * Yes, the name has changed and the terrorists have won again.
    Having a name too similar to Lindows apparently makes us a
    liability to the illusion their assailants will want to project
    in court.  Eleven or so years of unbroken, unquestioned usage

