## wxwidgets2.6 2.6.1.2ubuntu2

=== debian/changelog ===
wxwidgets2.6 (2.6.1.2ubuntu2) dapper; urgency=low

  * Rebuild to fix zero-size _SDA_BASE_ symbol on powerpc.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Thu, 17 Nov 2005 15:14:47 +0100

wxwidgets2.6 (2.6.1.2ubuntu1) dapper; urgency=low

  * Resynchronise with Debian (Closes: #4049):
    - Added wxpython2.5.3 to python-wxversion Conflicts/Replaces
      (Closes: #3252).

 -- Jordan Mantha <mantha@chem.unr.edu>  Wed,  9 Nov 2005 11:12:29 -0800

wxwidgets2.6 (2.6.1.2) unstable; urgency=low

  * Fix the build_options.py created by the in tree build.
    Closes: #324960  Thanks.
  * Move the wx.pth alternative to its own directory where
    it can't mess with anything else.
  * Pull in changes to dcclient.cpp and window.cpp from HEAD
    mostly for gtk2.8 compatibility, but fixes a couple of
    other issues too.

 -- Ron Lee <ron@debian.org>  Thu, 25 Aug 2005 18:38:31 +0930
