=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wxwidgets2.6
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk2.0-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev, dpatch
+Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk2.0-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev
 Maintainer: Ron Lee <ron@debian.org>
 Standards-Version: 3.6.2.1
 
@@ -23,7 +23,7 @@
 Architecture: any
 Section: libdevel
 Depends: wx2.6-headers (= ${Source-Version}), libwxgtk2.6-0 (= ${Source-Version}), libc6-dev
-Suggests: wx2.6-common | wx-common, wx2.6-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
+Suggests: wx-common, wx2.6-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -87,8 +87,8 @@
 Package: python-wxversion
 Architecture: all
 Section: python
-Conflicts: wxpython2.6-0
-Replaces: wxpython2.6-0
+Conflicts: wxpython2.6-0, wxpython2.5.3
+Replaces: wxpython2.6-0, wxpython2.5.3
 Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython version selector)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
