=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
-
-#include dpatch stuff
-include /usr/share/dpatch/dpatch.make
 
 ifdef DISTCC_HOSTS
 
@@ -48,8 +45,9 @@
 # Base value for alternative priorities.
 alt_prio  := $(subst .,,$(release))
 
+pytoolkit := gtk2
 pydir     := usr/lib/$(python_ver)/site-packages
-wxpydir   := $(pydir)/wx-$(release)-gtk2-unicode
+wxpydir   := $(pydir)/wx-$(release)-$(pytoolkit)-unicode
 
 cross_host  = i586-mingw32msvc
 cross_build = $(shell ./config.guess)
@@ -133,8 +131,16 @@
 install_all = $(install_all_native) $(install_all_cross)
 
 
+# wxPython uses this to build in-tree
 wxconfig     := $(shell pwd)/$(objdir_gtk_shared)/wx-config --no_rpath
 wxconfig-dbg := $(shell pwd)/$(objdir_gtk_debug)/wx-config --no_rpath
+
+# and this after it is installed.
+py_wxconfig  := wx-config --version=$(release) --toolkit=$(pytoolkit)     \
+			  --unicode --debug=no --static=no
+pyd_wxconfig := wx-config --version=$(release) --toolkit=$(pytoolkit)     \
+			  --unicode --debug --static=no
+
 
 #contrib_libs := $(subst CVS,,$(notdir $(wildcard contrib/include/wx/*)))
 
@@ -194,7 +200,3 @@
 		echo "generating control file $(package_examples).$$f";      \
 		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
 	done;
-	@for f in postinst prerm; do                                         \
-		echo "generating control file $(package_msw_dev).$$f";       \
-		sed -e 's/=V/$(release)/g;                                   \
-			s/=PRIO/$(alt_prio)/g;                               \
