## wxwidgets2.6 2.6.3.2.1.5

=== debian/changelog ===
wxwidgets2.6 (2.6.3.2.1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Set debian/python-version to 2.4.
  * Replace =PY with python in debian/control (python-xml was transitionned to
    the new policy).

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 15 Aug 2006 23:44:53 +0200

wxwidgets2.6 (2.6.3.2.1.4) unstable; urgency=low

  * Fix 2.6.3.2.1.2, add the build dependency in debian/control.in.
    Closes: #382951

 -- Matthias Klose <doko@debian.org>  Mon, 14 Aug 2006 10:21:16 +0000

wxwidgets2.6 (2.6.3.2.1.3) unstable; urgency=low

  * NMU.
  * Build for python2.4.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Aug 2006 02:01:15 +0200

wxwidgets2.6 (2.6.3.2.1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitely Build-Depend on python-central. Closes: #381110

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun,  6 Aug 2006 13:00:11 +0200

wxwidgets2.6 (2.6.3.2.1.1) unstable; urgency=low

  * NMU (I love this version string for NMU's :-/).
  * Convert to updated Python policy. Closes: #373410.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 18:25:37 +0200

wxwidgets2.6 (2.6.3.2.1) unstable; urgency=low

  * Add 'Replaces' for the wxbase packages when upgrading from
    earlier than 2.6.3.2 where they split again.  Closes: #365561

 -- Ron Lee <ron@debian.org>  Mon,  1 May 2006 14:02:26 +0930

wxwidgets2.6 (2.6.3.2) unstable; urgency=low

  * Next try for an upload candidate.
  * Fixes FTBFS on GNU/kFreeBSD. Closes: #327638
  * Update fr.po, thanks to Thomas Huriaux and debian-l10n-french.
    Closes: #328966
  * Split wxbase back into its own package, after all these years
    and just after I drop it, someone finally has a use for it.
    Such is life.  Closes: #333944
  * Fixes FTBFS with new make.  If this ugly quoting is the tradeoff,
    I'm itching to learn of the fabulous benefits...
    Ack NMU for this from Kurt Roeckx to keep the amd64 transition
    rolling while my x86 build machine was painfully dying.  Thanks!
    Closes: #350695, #361443
  * New FSF address in copyright file.
  * Add an index.html link to the doc contents page.  Closes: #328896
  * Fixes declarations for friends, as required by C++, and now gcc4.1.
    Closes: #358219
  * Add an unpack_examples script, loosely based on one submitted
    by Richard Esplin.  Closes: #342761
  * Disable the reserved vtable entries (again, but this time its
    optional) to retain compatibility with the existing release
    in the distro.
  * Update build-deps for xorg7.

 -- Ron Lee <ron@debian.org>  Fri, 14 Apr 2006 16:50:24 +0930

wxwidgets2.6 (2.6.1.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make it build using the new make.  Patch from
    Daniel Schepler <schepler@math.berkeley.edu> (Closes: #350695)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun,  9 Apr 2006 14:04:34 +0200
