## wxwidgets2.6 2.6.3.2.1.5ubuntu0.1

=== debian/changelog ===
wxwidgets2.6 (2.6.3.2.1.5ubuntu0.1) edgy-updates; urgency=low

  * No-change upload, propagating to edgy-updates.
  * Tested by: Cimmo, Andrea Vacondio, Cyclone, jmunin, tasadar_f,
    mlind, com4.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed, 31 Jan 2007 00:59:12 +0100

wxwidgets2.6 (2.6.3.2.1.5ubuntu0.1~proposed1) edgy-proposed; urgency=low

  * Fix for GTK warnings in wxNotebook::DoRemovePage
    (Closes: LP#59138)

 -- Matti Lindell <mlind@cs.joensuu.fi>  Tue, 19 Dec 2006 16:41:39 +0200
